Bug 1285521 - No-video after monitor power cycle
No-video after monitor power cycle
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xfce4-session (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-25 15:15 EST by fedora_account
Modified: 2016-11-17 11:13 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-26 20:39:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Enable CRTC after power cycle (2.31 KB, patch)
2016-06-28 10:55 EDT, Michael Saavedra
no flags Details | Diff

  None (edit)
Description fedora_account 2015-11-25 15:15:36 EST
Description of problem:

Version-Release number of selected component (if applicable):


How reproducible:  Easily reproducible on my system

Steps to Reproduce:
1. Boot from a Fedora-Xfce Spin livedisk
2. Notice that we come up in a graphical desktop
3. Power down the monitor
4. Power up the monitor
5. Notice that we have no signal to the monitor

Actual results:  No signal to monitor after monitor power cycle

Expected results:  Normal graphical desktop should reappear after a monitor power cycle


Additional info:

This problem can be observed with these livedisks:
  Fedora-Live-Xfce-x86_64-23-10.iso
  Fedora-Live-Xfce-x86_64-22-3.iso

But the following livedisks behave normally.  i.e. -- a graphical desktop reappears after a monitor power cycle:
  Fedora-Live-Workstation-x86_64-23-10.iso
  Fedora-Live-Xfce-x86_64-21-5.iso

Hardware compliment:
  VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Oland PRO [Radeon R7 240/340]
  Seiki 39" monitor running at 3840x2160 resolution

Kernel driver:
  radeon
Comment 1 fedora_account 2015-11-25 20:27:04 EST
This problem is also repeatable with this xfce livedisk:
  xubuntu-15.10-desktop-amd64.iso

It appears that this is an upstream problem and not specific to Fedora packaging.
Comment 2 fedora_account 2015-11-26 09:09:20 EST
It appears that this xfce bug is likely responsible:

  Bug 12184 - xfce4-settings does not handle monitor disconnection properly 
  https://bugzilla.xfce.org/show_bug.cgi?id=12184
Comment 3 Kevin Fenzi 2015-11-26 14:44:53 EST
Thanks for the bug and tracking this down upstream. :)
Comment 4 Michael Saavedra 2016-06-24 11:39:31 EDT
Here is another XFCE bug report that has a patch:

https://bugzilla.xfce.org/show_bug.cgi?id=11107

I've used it to create a new rpm that fixes the worst of the problem, though it is not a 100% fix. My dual monitors can now turn back on correctly, but they always come up in mirror mode instead of side-by-side. Until this is fixed completely, it can be worked around by running `xfsettingsd --replace` to get your proper configuration back.

If anyone wants the patch and modified spec file, I can attach them here, just let me know.
Comment 5 Kevin Fenzi 2016-06-25 18:35:19 EDT
I'm not sure we want to carry this patch, but it does seem to solve a real issue, and it's been a while without comment, so perhaps so. 

Sure if you could attach the patch we could look at carrying it...
Comment 6 Michael Saavedra 2016-06-28 10:55 EDT
Created attachment 1173488 [details]
Enable CRTC after power cycle

Here's a patch from the XFCE buzilla. It was originally a git diff, but I modified it slightly so that it works cleanly for building an rpm. I didn't make any changes in the code, just the path information at the top.
Comment 7 Kevin Fenzi 2016-07-23 18:18:57 EDT
ok. we can go ahead and carry this along... what release are you running there? 

Or should we just land it in rawhide for now?
Comment 8 fedora_account 2016-09-14 11:25:41 EDT
If this patch could be applied to F25-branched then I would be willing to test it and provide feedback.
Comment 9 Kevin Fenzi 2016-09-15 11:44:27 EDT
So, I applied this to rawhide already, but thats it. 

Then just today upstream released 4.12.1 with the patch. 

I am going to push that to rawhide and f25 (look for an update announcement on this bug) for folks to test. If all looks ok, we can push it back further.
Comment 10 Fedora Update System 2016-09-15 12:14:39 EDT
xfce4-settings-4.12.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e1366de0e3
Comment 11 fedora_account 2016-09-15 13:13:47 EDT
Test results:

Fedora-Xfce-Live-x86_64-Rawhide-20160906.n.0.iso  Pass

Fedora-Xfce-Live-x86_64-25-20160909.n.0.iso 
  with xfce4-settings-4.12.1-1.fc25               Pass

The bug is no longer reproducible.
Comment 12 Fedora Update System 2016-09-15 21:23:56 EDT
xfce4-settings-4.12.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e1366de0e3
Comment 13 Fedora Update System 2016-09-26 20:39:46 EDT
xfce4-settings-4.12.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Alex Wood 2016-11-16 22:50:43 EST
(In reply to Kevin Fenzi from comment #9)
> So, I applied this to rawhide already, but thats it. 
> 
> Then just today upstream released 4.12.1 with the patch. 
> 
> I am going to push that to rawhide and f25 (look for an update announcement
> on this bug) for folks to test. If all looks ok, we can push it back further.

Kevin,

I can confirm that this is working for me in F24, so if you want to do an F24 build I'm sure you'd save a lot of people some grief.  This bug was driving me bonkers. :)
Comment 15 Kevin Fenzi 2016-11-17 11:13:02 EST
Yeah, I already submitted one a while back:

https://bodhi.fedoraproject.org/updates/FEDORA-2016-26e09d3ace

just submitted it to stable now. ;) Thanks for the reminder.

Note You need to log in before you can comment on or make changes to this bug.